cppcms::applications_pool Class Reference

Application pool is the central class that holds user created applications. More...

`#include <cppcms/applications_pool.h>`

## Classes

struct | factory
| a base class for user application factories More...

## Public Member Functions

void | mount (std::auto_ptr< factory > aps)
void | mount (std::auto_ptr< factory > aps, mount_point const &point)
void | mount (booster::intrusive_ptr< application > app)
void | mount (booster::intrusive_ptr< application > app, mount_point const &point)

## Detailed Description

Application pool is the central class that holds user created applications.

Form the user perspective this class provides an API for mounting user application to the CppCMS service.

There are two kind of mount member functions, that allow:

- Mounting a factory of user applications – for execution of synchronous requests by multiple instances of application.
- Mounting single application – for processing asynchronous requests by single instance of an application

The life cycle of synchronous application is defined by application pool itself, and the life cycle of asynchronous depends on its own reference count.

This class is thread safe and can be accessed from multiple threads simultaneously.

## Member Function Documentation

void cppcms::applications_pool::mount | ( | std::auto_ptr< factory > | aps | ) |

Mount an application factory aps for processing of any incoming requests. Application would receive PATH_INFO CGI variable for URL matching.

This member function is thread safe.

void cppcms::applications_pool::mount | ( | std::auto_ptr< factory > | aps,
|  | mount_point const & | point
| ) |  |

Mount an application factory app by mount_point point application matching and URL selection rules

This member function is thread safe.

void cppcms::applications_pool::mount | ( | booster::intrusive_ptr< application > | app | ) |

Mount an asynchronous application app for processing of any incoming requests. Application would receive PATH_INFO CGI variable for URL matching.

This member function is thread safe.

void cppcms::applications_pool::mount | ( | booster::intrusive_ptr< application > | app,
|  | mount_point const & | point
| ) |  |

Mount an asynchronous application app by mount_point point application matching and URL selection rules

This member function is thread safe.

The documentation for this class was generated from the following file:

- cppcms/applications_pool.h